from django.contrib import admin

# Register your models here.

from .models import Question, SampleAnswer, Exam, ExamUserStatus, UserAnswer, QuestionImage

admin.site.register(Question)
admin.site.register(SampleAnswer)
admin.site.register(UserAnswer)
admin.site.register(QuestionImage)

#class RapidImageInline(admin.TabularInline):
#    model = QuestionImage
#    extra = 1
#    readonly_fields = [
#        "image_tag",
#    ]
#
#class ExamInline(admin.TabularInline):
#    model = Question.exams.through
#    extra = 1
#
#class QuestionAdmin():
#    form = RapidAdminForm
#
#    filter_horizontal = (
#        "abnormality",
#        "region",
#        #"examination",
#    )
#    save_on_top = True
#    save_as = True
#    view_on_site = True
#
#    inlines = [
#        RapidImageInline,
#        RapidAnswersInline,
#        ExamInline,
#    ]


class ExamAdmin(admin.ModelAdmin):
    save_as = True

admin.site.register(Exam, ExamAdmin)